Bug 844737 - Review Request: SLOF - Slimline Open Firmware
Review Request: SLOF - Slimline Open Firmware
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 10:59 EDT by Richard W.M. Jones
Modified: 2012-08-17 21:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-17 21:24:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2012-07-31 10:59:06 EDT
Spec URL: http://oirase.annexia.org/reviews/roms/SLOF.spec
SRPM URL: http://oirase.annexia.org/reviews/roms/SLOF-0-0.1.git20120217.fc17.src.rpm
Description: Slimline Open Firmware
Fedora Account System Username: rjones

For the background to this request, please see the following thread:
https://lists.fedoraproject.org/pipermail/packaging/2012-July/008557.html
(Please read the *whole* thread including follow-ups)

rpmlint says:

SLOF.src: W: spelling-error %description -l en_US hypervisor -> hyper visor, hyper-visor, supervisory
SLOF.src: W: spelling-error %description -l en_US qemu -> emu, q emu
SLOF.src:17: W: macro-in-comment %{gittagdate}
SLOF.src:18: W: macro-in-comment %{gittagdate}
SLOF.src:18: W: macro-in-comment %{gittag}
SLOF.src: W: invalid-url Source0: SLOF-20120217.tar.gz
SLOF.noarch: W: spelling-error %description -l en_US hypervisor -> hyper visor, hyper-visor, supervisory
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

I think all of these rpmlint warnings are bogus.

A Koji scratch build against Rawhide is here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4345370
Comment 1 Michael Scherer 2012-07-31 16:37:09 EDT
Indeed, the rpmlint warning are just warning. 


Anyway, the package is good, so it is approved :


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[-]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Rpmlint
-------
Checking: SLOF-0-0.1.git20120217.fc17.noarch.rpm
          SLOF-0-0.1.git20120217.fc17.src.rpm
SLOF.noarch: W: spelling-error %description -l en_US hypervisor -> hyper visor, hyper-visor, supervisory
SLOF.noarch: W: invalid-url URL: http://www.openfirmware.info/SLOF timed out
SLOF.src: W: spelling-error %description -l en_US hypervisor -> hyper visor, hyper-visor, supervisory
SLOF.src: W: spelling-error %description -l en_US qemu -> emu, q emu
SLOF.src:17: W: macro-in-comment %{gittagdate}
SLOF.src:18: W: macro-in-comment %{gittagdate}
SLOF.src:18: W: macro-in-comment %{gittag}
SLOF.src: W: invalid-url Source0: SLOF-20120217.tar.gz
2 packages and 0 specfiles checked; 0 errors, 8 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
SLOF-0-0.1.git20120217.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    

Provides
--------
SLOF-0-0.1.git20120217.fc17.noarch.rpm:
    
    SLOF = 0-0.1.git20120217.fc17

MD5-sum check
-------------


Generated by fedora-review 0.2.0 (a5c4ced) last change: 2012-07-22
Command line :./try-fedora-review -b 844737
External plugins:
Comment 2 Richard W.M. Jones 2012-07-31 16:43:45 EDT
Excellent, thanks!
Comment 3 Richard W.M. Jones 2012-07-31 16:46:34 EDT
New Package SCM Request
=======================
Package Name: SLOF
Short Description: Slimline Open Firmware
Owners: rjones crobinso berrange
Branches: f16 f17
InitialCC:
Comment 4 Gwyn Ciesla 2012-07-31 19:04:42 EDT
Git done (by process-git-requests).
Comment 5 Richard W.M. Jones 2012-08-01 05:00:18 EDT
Rawhide build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4347532
Comment 6 Fedora Update System 2012-08-01 05:14:44 EDT
SLOF-0-0.1.git20120217.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/SLOF-0-0.1.git20120217.fc17
Comment 7 Fedora Update System 2012-08-01 05:14:45 EDT
SLOF-0-0.1.git20120217.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/SLOF-0-0.1.git20120217.fc16
Comment 8 Fedora Update System 2012-08-01 18:27:00 EDT
SLOF-0-0.1.git20120217.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-08-17 21:24:24 EDT
SLOF-0-0.1.git20120217.fc16 has been pushed to the Fedora 16 stable repository.
Comment 10 Fedora Update System 2012-08-17 21:24:41 EDT
SLOF-0-0.1.git20120217.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.